Index: guiframe/__init__.py
===================================================================
--- guiframe/__init__.py	(revision 631be82edbfa132e79d73eb79369a4ba5bebe563)
+++ guiframe/__init__.py	(revision b2629b4bc8dfbeb70fce5bc637f63e6ea0e729ed)
@@ -42,3 +42,6 @@
     for f in findall(path):
         data_files.append(('images/icons', [f]))
+    path = get_data_path(media="media")
+    for f in findall(path):
+        data_files.append(('media', [f]))
     return data_files
Index: guiframe/local_perspectives/data_loader/data_loader.py
===================================================================
--- guiframe/local_perspectives/data_loader/data_loader.py	(revision e26d0db750e48c6007a701a55c50b1e267b72b86)
+++ guiframe/local_perspectives/data_loader/data_loader.py	(revision b2629b4bc8dfbeb70fce5bc637f63e6ea0e729ed)
@@ -49,4 +49,12 @@
         self._data_menu = None 
         
+    def help(self, evt):
+        """
+        Show a general help dialog. 
+        """
+        from help_panel import  HelpWindow
+        frame = HelpWindow(None, -1, 'HelpWindow')    
+        frame.Show(True)
+        
     def populate_file_menu(self):
         """
Index: guiframe/local_perspectives/data_loader/help_panel.py
===================================================================
--- guiframe/local_perspectives/data_loader/help_panel.py	(revision b2629b4bc8dfbeb70fce5bc637f63e6ea0e729ed)
+++ guiframe/local_perspectives/data_loader/help_panel.py	(revision b2629b4bc8dfbeb70fce5bc637f63e6ea0e729ed)
@@ -0,0 +1,105 @@
+#!/usr/bin/python
+"""
+Help panel for data_loader plugins
+"""
+import os
+import wx
+import wx.html as html
+from wx.lib.splitter import MultiSplitterWindow
+from sans.guiframe import get_data_path
+
+class HelpWindow(wx.Frame):
+    """
+    """
+    def __init__(self, parent, title='Plotting Help', pageToOpen=None):
+        wx.Frame.__init__(self, parent, title, size=(700, 450))
+        """
+             contains help info
+        """
+        splitter = MultiSplitterWindow(self, style=wx.SP_LIVE_UPDATE)
+        rpanel = wx.Panel(splitter, -1)
+        lpanel = wx.Panel(splitter, -1, style=wx.BORDER_SUNKEN)
+        
+        vbox = wx.BoxSizer(wx.VERTICAL)
+        header = wx.Panel(rpanel, -1)
+        header.SetBackgroundColour('#6666FF')
+        header.SetForegroundColour('WHITE')
+        hbox = wx.BoxSizer(wx.HORIZONTAL)
+        st = wx.StaticText(header, -1, 'Contents', (5, 5))
+        font = st.GetFont()
+        font.SetPointSize(10)
+        st.SetFont(font)
+        hbox.Add(st, 1, wx.TOP | wx.BOTTOM | wx.LEFT, 5)
+        header.SetSizer(hbox)
+        vbox.Add(header, 0, wx.EXPAND)
+       
+        vboxl = wx.BoxSizer(wx.VERTICAL)
+        headerl = wx.Panel(lpanel, -1, size=(-1, 20))
+       
+        headerl.SetBackgroundColour('#6666FF')
+        headerl.SetForegroundColour('WHITE')
+        hboxl = wx.BoxSizer(wx.HORIZONTAL)
+        lst = wx.StaticText(headerl, -1, 'Menu', (5, 5))
+        fontl = lst.GetFont()
+        fontl.SetPointSize(10)
+        lst.SetFont(fontl)
+        hboxl.Add(lst, 1, wx.TOP | wx.BOTTOM | wx.LEFT, 5)
+        headerl.SetSizer(hboxl)
+        vboxl.Add(headerl, 0, wx.EXPAND)
+        self.lhelp = html.HtmlWindow(lpanel, -1, style=wx.NO_BORDER)
+        self.rhelp = html.HtmlWindow(rpanel, -1, style=wx.NO_BORDER, 
+                                     size=(500,-1))
+        
+        self.path = get_data_path(media='media')
+        page1 = """<html>
+            <body>
+             <p>Select topic on Menu</p>
+            </body>
+            </html>"""
+        self.rhelp.SetPage(page1)
+        page = """<html>
+            <body>
+            <ul>
+            <li><a href ="data_explorer_help.html" 
+            target ="showframe">Data Explorer</a><br></li>
+            </ul>
+            </body>
+            </html>"""
+
+        self.lhelp.SetPage(page)
+        self.lhelp.Bind(wx.html.EVT_HTML_LINK_CLICKED, self.OnLinkClicked)
+        
+        vbox.Add(self.rhelp, 1, wx.EXPAND)
+        vboxl.Add(self.lhelp, 1, wx.EXPAND)
+        rpanel.SetSizer(vbox)
+        lpanel.SetSizer(vboxl)
+        lpanel.SetFocus()
+        
+        vbox1 = wx.BoxSizer(wx.HORIZONTAL)
+        vbox1.Add(splitter, 1, wx.EXPAND)
+        splitter.AppendWindow(lpanel, 200)
+        splitter.AppendWindow(rpanel)
+        self.SetSizer(vbox1)
+       
+        self.Centre()
+        self.Show(True)
+        
+    def OnLinkClicked(self, event):
+        """
+            Function to diplay html page related to the hyperlinktext selected
+        """
+        link = event.GetLinkInfo().GetHref()
+        link = os.path.join(self.path, link)
+        self.rhelp.LoadPage(link)
+        
+        
+class ViewApp(wx.App):
+    def OnInit(self):
+        frame = HelpWindow(None, -1, 'HelpWindow')    
+        frame.Show(True)
+        self.SetTopWindow(frame)
+        return True
+        
+if __name__ == "__main__": 
+    app = ViewApp(0)
+    app.MainLoop()     
Index: guiframe/media/data_explorer_help.html
===================================================================
--- guiframe/media/data_explorer_help.html	(revision b2629b4bc8dfbeb70fce5bc637f63e6ea0e729ed)
+++ guiframe/media/data_explorer_help.html	(revision b2629b4bc8dfbeb70fce5bc637f63e6ea0e729ed)
@@ -0,0 +1,96 @@
+<html>
+<body>
+
+<h4>Data Explorer Options</h4>
+<ul>
+<li><a href="#intro">Introduction</a></li>
+<li><a href="#load">Load data</a></li>
+<li><a href="#active">Active data</a></li>
+<li><a href="#remove">Remove data</a></li>
+<li><a href="#send">Send data to applications</a></li>
+<li><a href="#append">Append plot to graph</a></li>
+<li><a href="#new">Create new plot</a></li>
+<li><a href="#freeze">Freeze theory</a></li>
+<li><a href="#delete">Delete plot panel</a></li>
+</ul>
+
+<h5><a name="intro"><font color="blue">Introduction</font></a></h5>
+<p> 
+<b>Data Explorer</b> is a panel that allows the user more interactions with
+data. Some functionalities provided by the Data Explorer are also available
+through the context menu of plot panels or other menus of the applications.Under 
+menu <b>View</b> of the menubar, Data explorer can be toggle from Show to Hide 
+when clicking on menu <b>Data Explorer OFF</b>. This latter  can be labeled as 
+<b>Data Explorer ON</b> if the Data Explorer is not visible.
+</p>
+<p><b><font size=2>IMPORTANT!</font></b> When Data explorer is not visible all data loaded will
+be send directly to the current active application. When data Explorer is shown
+data go fist to the Data Explorer for the user to handle them.
+</p>
+
+<h5><a name="load"><font color="blue">Load data</font></a></h5>
+<p>
+To Load data, click on the button <b>Load Data</b>, then select one or more 
+files to load into the application. Close the file dialog that first appears. In
+the list control label <b>Data</b> will be displayed data label with the name
+of each selected file.
+ Expending this data by clicking on <b>+</b> sign on each label
+will display available information about this loaded data.
+</p>
+
+<h5><a name="active"><font color="blue">Active data</font></a></h5>
+<p>
+To interact with data, check a data label and click on a button. Checking Data 
+make them active  for the next operation. Unchecking Data labels will
+deactivate them.
+</p>
+<p>
+There is a combo box labeled <b> Selection Options</b> that allows to activate 
+or select multiple data simultaneously. 
+</p>
+
+<h5><a name="remove"><font color="blue">Remove data</font></a></h5>
+<p>
+Remove data button  remove all reference of this data into the application.
+</p>
+<p>
+<font size=2><b>WARNING!</b></font> Remove data will stop any jobs 
+currently using the selected data.
+</p>
+
+<h5><a name="send"><font color="blue">Send data to applications</font></a></h5>
+<p>
+Click on the button <b>Send To</b> to send Data to the current active application.
+Then from the application control panel interact more with that Data.
+</p>
+<h5><a name="append"><font color="blue">Append plot to graph</font></a></h5>
+<p>
+Click on the button <b>Append To</b> to append selected Data to a plot panel on
+focus. Next to this button is a combo box containing available panels names. 
+Selecting a name from this combo box will set  the corresponding lot panel on 
+focus. If not plot panel is available, the combo box and button will be disable.
+2D Data cannot be appended to any plot panels . This operation can only be 
+performed on 1D data and plot panels currently containing 1D data.
+</p>
+
+<h5><a name="new"><font color="blue">Create new plot</font></a></h5>
+<p>
+Click on <b>New Plot</b> button to create a new plot panel where selected data 
+will be plotted.
+</p>
+
+<h5><a name="freeze"><font color="blue">Freeze theory</font></a></h5>
+<p>
+<b>Freeze Theory</b> button generate Data from selected theory. This operation 
+can only be performed when theory labels are selected. 
+</p>
+<h5><a name="delete"><font color="blue">Delete plot panel</font></a></h5>
+<p>
+Click on <b>Delete Plot</b> to remove all reference of the plot panel on focus.
+User can click on a plot panel or select a name of the plot panel in the corresponding
+combo box to set a plot panel on focus.
+</p>
+
+
+</body>
+</html>
Index: guiframe/setup.py
===================================================================
--- guiframe/setup.py	(revision df8a13ee13eae33a18d2c70c398029d91b16dddf)
+++ guiframe/setup.py	(revision b2629b4bc8dfbeb70fce5bc637f63e6ea0e729ed)
@@ -9,5 +9,6 @@
 import os
 import sys
-
+if len(sys.argv) == 1:
+    sys.argv.append('install')
     
 path = os.path.join(os.getcwd(), 'local_perspectives')
